Skip to main content
POST
/
v1
/
external
/
campaigns
/
{agent_id}
cURL
curl --request POST \
  --url https://api.samora.ai/v1/external/campaigns/{agent_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "retry_config": {
    "max_retries": 2,
    "retry_delay_minutes": 30,
    "retry_on": [
      "UNANSWERED",
      "REJECTED",
      "VOICEMAIL"
    ]
  }
}
'
{
  "message": "<string>",
  "data": {
    "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

X-API-Key
string
header
required

Your unique organization API key. Required on all requests.

Path Parameters

agent_id
string<uuid>
required

The UUID of the AI agent that owns the campaign.

Body

application/json
name
string
required

Campaign name. Maximum 120 characters.

Maximum string length: 120
retry_config
object

Optional retry behavior for campaign calls. Retries are attempted when a call ends with one of the statuses listed in retry_on.

Example:
{
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": ["UNANSWERED", "REJECTED", "VOICEMAIL"]
}

Response

Campaign created successfully

message
string
required
data
object
required